Bug 816807 - Off-by-one error in FullFastIterator.next() leads to botched queries
Off-by-one error in FullFastIterator.next() leads to botched queries
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 00:39 EDT by Mark Proctor
Modified: 2012-05-27 21:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3483 None Closed Off-by-one error in FullFastIterator.next() leads to botched queries 2012-05-27 21:29:55 EDT

  None (edit)
Description Mark Proctor 2012-04-27 00:39:17 EDT
The rete node memory iterators will skip entries in the last bucket after it has found the first entry, due to a check against the current row.

This is a critical fix as it results in loss of integirty and corruption of running applications.
Comment 2 JBoss JIRA Server 2012-04-27 01:02:57 EDT
Mark Proctor <mproctor@redhat.com> updated the status of jira JBRULES-3483 to Resolved
Comment 3 JBoss JIRA Server 2012-04-27 01:03:08 EDT
Mark Proctor <mproctor@redhat.com> updated the status of jira JBRULES-3483 to Closed
Comment 4 JBoss JIRA Server 2012-04-27 01:05:48 EDT
Adar Dembo <adar@cloudera.com> made a comment on jira JBRULES-3483

What about a backport for 5.3.x? That's the latest stable release, right?
Comment 5 Mark Proctor 2012-05-04 12:45:48 EDT
yes I've said this must be backported to 5.3. I'm awaiting permission to do so.
Comment 6 Edson Tirelli 2012-05-04 12:59:35 EDT
Cherry-picked into 5.3.x branch as requested by Mark.

https://github.com/droolsjbpm/drools/commit/20f2682afb65381ad2a32ec8431448e2bd974fd8
Comment 7 Ryan Zhang 2012-05-14 04:16:14 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 9 Lukáš Petrovický 2012-05-22 04:39:14 EDT
The fix is in ER7 and the test doesn't fail. VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.